package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 机器使用记录表      实体类
 * 2017年3月9日 
 * @author muzx
 *
 */
public class MachineLogs implements Serializable{

    /**
     * 
     */
    private static final long serialVersionUID = 688916402767527564L;
    private Integer logId;              //id
    private String logMachineMac;       //机器macId
    private String logUseOpenid;        //使用用户openid
    private Date logBeginTime;          //开始使用时间
    private Date logEndTime;            //使用截止时间
    private Date logCreateTime;         //创建时间
    
    public Integer getLogId() {
        return logId;
    }
    public void setLogId(Integer logId) {
        this.logId = logId;
    }
    public String getLogMachineMac() {
        return logMachineMac;
    }
    public void setLogMachineMac(String logMachineMac) {
        this.logMachineMac = logMachineMac;
    }
    public String getLogUseOpenid() {
        return logUseOpenid;
    }
    public void setLogUseOpenid(String logUseOpenid) {
        this.logUseOpenid = logUseOpenid;
    }
    public Date getLogBeginTime() {
        return logBeginTime;
    }
    public void setLogBeginTime(Date logBeginTime) {
        this.logBeginTime = logBeginTime;
    }
    public Date getLogEndTime() {
        return logEndTime;
    }
    public void setLogEndTime(Date logEndTime) {
        this.logEndTime = logEndTime;
    }
    public Date getLogCreateTime() {
        return logCreateTime;
    }
    public void setLogCreateTime(Date logCreateTime) {
        this.logCreateTime = logCreateTime;
    }
    @Override
    public String toString() {
        return "MachineLogs [logId=" + logId + ", logMachineMac="
                + logMachineMac + ", logUseOpenid=" + logUseOpenid
                + ", logBeginTime=" + logBeginTime + ", logEndTime="
                + logEndTime + ", logCreateTime=" + logCreateTime + "]";
    }
    
}
